summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2019-02-23 18:32:57 +0200
committerMart Raudsepp <leio@gentoo.org>2019-02-23 18:32:57 +0200
commit53b46ac50338628c6033921aecbac76316df6ba2 (patch)
tree329acfbb0dbb809d46a248f7a7376ceaf2e1df90 /gnome-base/gnome-control-center
parentnet-ftp/pure-ftpd: disable TLSv1.1 (diff)
downloadgentoo-53b46ac50338628c6033921aecbac76316df6ba2.tar.gz
gentoo-53b46ac50338628c6033921aecbac76316df6ba2.tar.bz2
gentoo-53b46ac50338628c6033921aecbac76316df6ba2.zip
gnome-base/gnome-control-center: restrict gnome-desktop dependency
Old versions don't work with newer gnome-desktop due to gnome-desktop porting away from GdkColor to GdkRGBA and changing API for it. Restrict maximum dep to reflect that to minimize problems. Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
Diffstat (limited to 'gnome-base/gnome-control-center')
-rw-r--r--gnome-base/gnome-control-center/gnome-control-center-3.24.4.ebuild4
-rw-r--r--gnome-base/gnome-control-center/gnome-control-center-3.26.2-r1.ebuild4
2 files changed, 6 insertions, 2 deletions
diff --git a/gnome-base/gnome-control-center/gnome-control-center-3.24.4.ebuild b/gnome-base/gnome-control-center/gnome-control-center-3.24.4.ebuild
index 5e32940aad4..81390ad69ec 100644
--- a/gnome-base/gnome-control-center/gnome-control-center-3.24.4.ebuild
+++ b/gnome-base/gnome-control-center/gnome-control-center-3.24.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -23,12 +23,14 @@ KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh x86 ~x86-fbsd ~amd64-linux ~x8
# (mouse, keyboards, touchscreen, etc)
# display panel requires colord and gnome-settings-daemon[colord]
# printer panel requires cups and smbclient (the latter is not patch yet to be separately optional)
+# Requires gnome_bg_set_color, which was replaced with gnome_bg_set_rgba in 3.27.90
COMMON_DEPEND="
>=dev-libs/glib-2.44.0:2[dbus]
>=x11-libs/gdk-pixbuf-2.23.0:2
>=x11-libs/gtk+-3.22.0:3[X,wayland?]
>=gnome-base/gsettings-desktop-schemas-3.21.4
>=gnome-base/gnome-desktop-3.21.2:3=
+ <gnome-base/gnome-desktop-3.27.90:3
>=gnome-base/gnome-settings-daemon-3.23.90[colord,policykit]
>=x11-misc/colord-0.1.34:0=
diff --git a/gnome-base/gnome-control-center/gnome-control-center-3.26.2-r1.ebuild b/gnome-base/gnome-control-center/gnome-control-center-3.26.2-r1.ebuild
index ab4f3f3ce0f..ff36d5d2a6b 100644
--- a/gnome-base/gnome-control-center/gnome-control-center-3.26.2-r1.ebuild
+++ b/gnome-base/gnome-control-center/gnome-control-center-3.26.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -23,12 +23,14 @@ KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~x86 ~x86-fbsd ~amd64-linux ~
# (mouse, keyboards, touchscreen, etc)
# display panel requires colord and gnome-settings-daemon[colord]
# printer panel requires cups and smbclient (the latter is not patch yet to be separately optional)
+# Requires gnome_bg_set_color, which was replaced with gnome_bg_set_rgba in 3.27.90
COMMON_DEPEND="
>=dev-libs/glib-2.53.0:2[dbus]
>=x11-libs/gdk-pixbuf-2.23.0:2
>=x11-libs/gtk+-3.22.0:3[X,wayland?]
>=gnome-base/gsettings-desktop-schemas-3.21.4
>=gnome-base/gnome-desktop-3.21.2:3=
+ <gnome-base/gnome-desktop-3.27.90:3
>=gnome-base/gnome-settings-daemon-3.25.90[colord,policykit]
>=x11-misc/colord-0.1.34:0=